MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022915Community[OCCT] OCCT:Data Exchangepublic2012-01-19 17:342012-03-29 17:26
Reporteramz 
Assigned Tobugmaster 
PriorityhighSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022915: crash in iges reader TransferRoots()
Descriptionhttp://www.opencascade.org/org/forum/thread_22619/ [^]

I could also reproduce it on a 64 bit linux system.
Steps To Reproduceigesread brakes.igs a *
checksh a
tps c
TagsNo tags attached.
Test case numberchl 934 S2
Attached Files? file icon brakes.igs (388,638 bytes) 2012-01-19 17:34
? file icon S2 (718 bytes) 2012-02-15 17:11

- Relationships

-  Notes
(0019521)
ama (developer)
2012-02-10 18:30

SVN branch http://svn/svn/occt/branches/OCC22915 [^] (revision 10427) is ready to be reviewed.

Modified IGESGeom/IGESGeom_CircularArc::IsClosed() - taking into account Precision::PConfusion() during the verification on closure.
(0019530)
gka (developer)
2012-02-13 12:45

Please test this bug.
(0019585)
apn (administrator)
2012-02-15 17:10
edited on: 2012-02-15 17:10

Dear BugMaster,
  Workbench KAS:dev:apn-22915-occt was created from SVN branch http://svn/svn/occt/branches/OCC22915 [^]
  (and apn-22915-products from trunk) and compiled on Linux and Windows platforms.
  
  There are not regressions in apn-22915-products regarding to KAS:dev:products-20120117-opt

  Test case for this fix is chl 934 S2. It's OK.
  
  See results in /QADisk/occttests/results/KAS/dev/ apn-22915-products_14022012/lin
  See reference results in /QADisk/occttests/results/KAS/dev/products-20120117-opt_17012012/lin
  See test cases in /QADisk/occttests/tests/ED

(0019624)
bugmaster (administrator)
2012-02-17 15:08

Integrated into trunk of occt repository

Date: 2012-02-17 15:06:07 +0400 (Fri, 17 Feb 2012)
New Revision: 10501

Modified:
   trunk/src/IGESGeom/IGESGeom_CircularArc.cxx

- Related Changesets
occt: master 64efb152
Timestamp: 2012-02-17 11:06:07
Author: ama
Committer: bugmaster
Details ] Diff ]
0022915: crash in iges reader TransferRoots()
mod - src/IGESGeom/IGESGeom_CircularArc.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-19 17:34 amz New Issue
2012-01-19 17:34 amz Assigned To => gka
2012-01-19 17:34 amz File Added: brakes.igs
2012-02-07 14:46 gka Assigned To gka => ama
2012-02-10 18:30 ama Note Added: 0019521
2012-02-10 18:30 ama Assigned To ama => gka
2012-02-10 18:30 ama Status new => resolved
2012-02-13 12:45 gka Note Added: 0019530
2012-02-13 12:45 gka Status resolved => reviewed
2012-02-14 13:26 mkv Assigned To gka => apn
2012-02-14 17:16 ama Steps to Reproduce Updated View Revisions
2012-02-15 17:10 apn Note Added: 0019585
2012-02-15 17:10 apn Note Edited: 0019585 View Revisions
2012-02-15 17:11 apn File Added: S2
2012-02-15 17:11 apn Test case number => chl 934 S2
2012-02-15 17:11 apn Status reviewed => tested
2012-02-17 15:07 bugmaster Assigned To apn => amz
2012-02-17 15:07 bugmaster Target Version => 6.5.3
2012-02-17 15:08 bugmaster Note Added: 0019624
2012-02-17 15:08 bugmaster Status tested => verified
2012-02-17 15:08 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master 64efb152


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker